CFD Online Discussion Forums

CFD Online Discussion Forums (https://www.cfd-online.com/Forums/)
-   OpenFOAM Running, Solving & CFD (https://www.cfd-online.com/Forums/openfoam-solving/)
-   -   Creating liftDrag binary on Ubuntu (https://www.cfd-online.com/Forums/openfoam-solving/59520-creating-liftdrag-binary-ubuntu.html)

vega August 8, 2007 23:33

hi All, I get following err
 
hi All,

I get following error on running wmake to create
binary for liftDrag on Ubuntu Linux.
Process used is as documented in:
http://www.cfd-online.com/OpenFOAM_D...es/1/2299.html

Executing wmake command at step #7 in procedure following message is shown:
wmake
Making dependency list for source file liftDrag.C
SOURCE=liftDrag.C ; g++ -m32 -Dlinux -DDP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/home/raj/OpenFOAM/OpenFOAM-1.4.1/src/postProcessing/incompressible/lnInclude -I/home/raj/OpenFOAM/OpenFOAM-1.4.1/src/finiteVolume/lnInclude -I/home/raj/OpenFOAM/OpenFOAM-1.4.1/src/transportModels -I/home/raj/OpenFOAM/OpenFOAM-1.4.1/src/turbulenceModels -I/home/raj/OpenFOAM/OpenFOAM-1.4.1/src/LESmodels -I/home/raj/OpenFOAM/OpenFOAM-1.4.1/src/LESmodels/LESdeltas/lnInclude -IlnInclude -I. -I/home/raj/OpenFOAM/OpenFOAM-1.4.1/src/OpenFOAM/lnInclude -fPIC -pthread -c $SOURCE -o Make/linuxGccDPOpt/liftDrag.o
g++ -m32 -Dlinux -DDP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/home/raj/OpenFOAM/OpenFOAM-1.4.1/src/postProcessing/incompressible/lnInclude -I/home/raj/OpenFOAM/OpenFOAM-1.4.1/src/finiteVolume/lnInclude -I/home/raj/OpenFOAM/OpenFOAM-1.4.1/src/transportModels -I/home/raj/OpenFOAM/OpenFOAM-1.4.1/src/turbulenceModels -I/home/raj/OpenFOAM/OpenFOAM-1.4.1/src/LESmodels -I/home/raj/OpenFOAM/OpenFOAM-1.4.1/src/LESmodels/LESdeltas/lnInclude -IlnInclude -I. -I/home/raj/OpenFOAM/OpenFOAM-1.4.1/src/OpenFOAM/lnInclude -fPIC -pthread Make/linuxGccDPOpt/liftDrag.o -L/home/raj/OpenFOAM/OpenFOAM-1.4.1/lib/linuxGccDPOpt \
-lincompressiblePostProcessing -lfoamUtil -lOpenFOAM -ldl -lm -o /home/raj/OpenFOAM/OpenFOAM-1.4.1/applications/bin/linuxGccDPOpt/liftDrag
/usr/bin/ld: cannot find -lfoamUtil
collect2: ld returned 1 exit status

Looks like I do not have lfoamUtil. Can any one
help in finding solution to this error.

thanks in advance

--
Rajneesh


All times are GMT -4. The time now is 15:05.